org.apache.activemq.artemis.journal

## Interface ActiveMQJournalBundle

-     @MessageBundle(projectCode="AMQ")
      public interface ActiveMQJournalBundle

  Logger Code 14 each message id must be 6 digits long starting with 14, the 3rd digit should be 9 so 149000 to 149999

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJournalBundle` | `BUNDLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActiveMQIOErrorException` | `fileNotOpened()`
    `ActiveMQIOErrorException` | `ioRenameFileError(String name, String newFileName)`
    `ActiveMQIOErrorException` | `journalDifferentVersion()`
    `ActiveMQIOErrorException` | `journalFileMisMatch()`
    `String` | `unableToOpenFile()`

- - ### Field Detail

    - #### BUNDLE

          static final ActiveMQJournalBundle BUNDLE

  - ### Method Detail

    - #### ioRenameFileError

          @Message(id=149000,
                   value="failed to rename file {0} to {1}",
                   format=MESSAGE_FORMAT)
          ActiveMQIOErrorException ioRenameFileError(String name,
                                                                                                                                                            String newFileName)

    - #### journalDifferentVersion

          @Message(id=149001,
                   value="Journal data belong to a different version")
          ActiveMQIOErrorException journalDifferentVersion()

    - #### journalFileMisMatch

          @Message(id=149002,
                   value="Journal files version mismatch. You should export the data from the previous version and import it as explained on the user\'\'s manual")
          ActiveMQIOErrorException journalFileMisMatch()

    - #### fileNotOpened

          @Message(id=149003,
                   value="File not opened")
          ActiveMQIOErrorException fileNotOpened()

    - #### unableToOpenFile

          @Message(id=149004,
                   value="unable to open file")
          String unableToOpenFile()

Copyright © 2018 The Apache Software Foundation. All rights reserved.